Package com.sas.services.information.metadata

# Interface MultiHostDeployment

All Superinterfaces:
  `Remote`

All Known Implementing Classes:
  `OMRMultiHostDeployedObject`

public interface MultiHostDeployment extends Remote
Some server public types like stored process server object spawner and workspace servers currently support multiple host deployment. This interface will help all the public objects to support the operations based on multiple host deployment The implementor should always wrap the public object inside it `public MultiHostDeploymentImpl(MetadataInterface metadataObject)` and each public type supporting such multiple host deployment should expose accessor method to let the client access its `MultiHostDeployment` object E.G StroredProcessServer then should expose a method sothing like `public MultiHostDeployment getMultiHostDeploymentOperator();`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAll(List<HostInterface> hosts)`
  `void`
  `addHost(HostInterface host)`
  Add a new host to the deployment list
  `List<String>`
  `getAllHostsNames()`
  Get the set of all the hosts.
  `HostInterface`
  `getAssociatedHost()`
  Few clients still use associated machine association to check the public object deployment host This method is used for those clients which are using this association to get the single associated host
  `List<HostInterface>`
  `getHosts()`
  Get the host deployment list
  `PublicObjectInterface`
  `getPublicObject()`
  Returns the underneath public object
  `boolean`
  `isDeployedOnHost(HostInterface host)`
  Checks if the host is on the deployment list
  `void`
  `removeAll()`
  `void`
  `removeHost(HostInterface host)`
  Remove host from the deployment list
  `void`
  `setAssociatedMachine(HostInterface host)`
  Few clients still use associated machine association to check the public object deployment host This method is used for those clients which are using this association to add the single associated host

- ## Method Details

  - ### addHost

    void addHost(HostInterface host) throws ServiceException, RemoteException
    Add a new host to the deployment list
    Parameters:
      `host` - `com.sas.services.information.metadata.Host` host to be added
    Throws:
      `ServiceException`
      `RemoteException`

  - ### removeHost

    void removeHost(HostInterface host) throws ServiceException, RemoteException
    Remove host from the deployment list
    Parameters:
      `host` - `com.sas.services.information.metadata.Host` host to be removed
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getHosts

    List<HostInterface> getHosts() throws ServiceException, RemoteException
    Get the host deployment list
    Returns:
      `java.util.List` List of deployment hosts
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getAllHostsNames

    List<String> getAllHostsNames() throws ServiceException, RemoteException
    Get the set of all the hosts. There are places where the host information is found for a server 1. Associated machine 2. Connection host name 3. Machine group software tree
    Returns:
      `List` of unique host names
    Throws:
      `ServiceException`
      `RemoteException`

  - ### isDeployedOnHost

    boolean isDeployedOnHost(HostInterface host) throws ServiceException, RemoteException
    Checks if the host is on the deployment list
    Parameters:
      `host` - `com.sas.services.information.metadata.Host` host to check
    Returns:
      `true` if on the list `false` otherwise
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getAssociatedHost

    HostInterface getAssociatedHost() throws ServiceException, RemoteException
    Few clients still use associated machine association to check the public object deployment host This method is used for those clients which are using this association to get the single associated host
    Returns:
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setAssociatedMachine

    void setAssociatedMachine(HostInterface host) throws ServiceException, RemoteException
    Few clients still use associated machine association to check the public object deployment host This method is used for those clients which are using this association to add the single associated host
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getPublicObject

    PublicObjectInterface getPublicObject() throws ServiceException, RemoteException
    Returns the underneath public object
    Returns:
    Throws:
      `ServiceException`
      `RemoteException`

  - ### removeAll

    void removeAll() throws ServiceException, RemoteException
    Throws:
      `ServiceException`
      `RemoteException`

  - ### addAll

    void addAll(List<HostInterface> hosts) throws ServiceException, RemoteException
    Throws:
      `ServiceException`
      `RemoteException`